Package org.silverpeas.looks.aurora.servlets

## Class WeatherServiceAdapter

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.silverpeas.looks.aurora.servlets.WeatherServiceAdapter

- All Implemented Interfaces:
    `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

      public class WeatherServiceAdapter
      extends jakarta.servlet.http.HttpServlet

  Adapter of the real weather service API used by Silverpeas to fetch weather forecast for one or more cities in the world.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jakarta.servlet.http.HttpServlet

      `LEGACY_DO_HEAD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WeatherServiceAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGet​(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)` |

    - ### Methods inherited from class jakarta.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, init, service, service`

    - ### Methods inherited from class jakarta.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeatherServiceAdapter

          public WeatherServiceAdapter()

  - ### Method Detail

    - #### doGet

          public void doGet​(jakarta.servlet.http.HttpServletRequest req,
                            jakarta.servlet.http.HttpServletResponse res)

      Overrides:
        `doGet` in class `jakarta.servlet.http.HttpServlet`